<?php
class ControllerTotalfuturacalcularst extends Controller {
	private $error = array(); 
	 
	public function index() { 
		$this->language->load('total/futuracalcularst');

		$this->document->setTitle($this->language->get('heading_title'));
		
		$this->load->model('setting/setting');
		
		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) {
			$this->model_setting_setting->editSetting('futuracalcularst', $this->request->post);
		
			$this->session->data['success'] = $this->language->get('text_success');
			
			$this->redirect($this->url->link('extension/total', 'token=' . $this->session->data['token'], 'SSL'));
		}
		
		$this->data['heading_title'] = $this->language->get('heading_title');

		$this->data['text_enabled'] = $this->language->get('text_enabled');
		$this->data['text_disabled'] = $this->language->get('text_disabled');
		
		$this->data['entry_status'] = $this->language->get('entry_status');
		$this->data['entry_sort_order'] = $this->language->get('entry_sort_order');
					
		$this->data['button_save']   = $this->language->get('button_save');
		$this->data['button_cancel'] = $this->language->get('button_cancel');
		$this->data['text_st_title'] = $this->language->get('text_st_title');
		$this->data['text_st_title'] = $this->language->get('text_st_title');
		$this->data['text_User_ST']  = $this->language->get('text_User_ST');
		$this->data['text_Senha_ST'] = $this->language->get('text_Senha_ST');
		$this->data['text_IP_ST']    = $this->language->get('text_IP_ST');
		$this->data['text_Porta_ST'] = $this->language->get('text_Porta_ST');
		$this->data['text_ID_Usuario_ST'] = $this->language->get('text_ID_Usuario_ST');
		
		$this->data['verificaValue'] = $this->config->get('futuracalcularst_status');

 		if (isset($this->error['warning'])) {
			$this->data['error_warning'] = $this->error['warning'];
		} else {
			$this->data['error_warning'] = '';
		}		
		
		if (isset($this->error['futuracalcularst_user'])) {
			$this->data['error_futuracalcularst_user'] = $this->error['futuracalcularst_user'];
		} else {
			$this->data['error_futuracalcularst_user'] = '';
		}
		
		if (isset($this->error['futuracalcularst_senha'])) {
			$this->data['error_futuracalcularst_senha'] = $this->error['futuracalcularst_senha'];
		} else {
			$this->data['error_futuracalcularst_senha'] = '';
		}
		
		if (isset($this->error['futuracalcularst_ip'])) {
			$this->data['error_futuracalcularst_ip'] = $this->error['futuracalcularst_ip'];
		} else {
			$this->data['error_futuracalcularst_ip'] = '';
		}
		
		if (isset($this->error['futuracalcularst_porta'])) {
			$this->data['error_futuracalcularst_porta'] = $this->error['futuracalcularst_porta'];
		} else {
			$this->data['error_futuracalcularst_porta'] = '';
		}
		
		if (isset($this->error['futuracalcularst_usuario'])) {
			$this->data['error_futuracalcularst_usuario'] = $this->error['futuracalcularst_usuario'];
		} else {
			$this->data['error_futuracalcularst_usuario'] = '';
		}
		
		if (isset($this->request->post['futuracalcularst_user'])) {
			$this->data['futuracalcularst_user'] = $this->request->post['futuracalcularst_user'];
		} else {
			$this->data['futuracalcularst_user'] = $this->config->get('futuracalcularst_user');
		}	

		if (isset($this->request->post['futuracalcularst_senha'])) {
			$this->data['futuracalcularst_senha'] = $this->request->post['futuracalcularst_senha'];
		} else {
			$this->data['futuracalcularst_senha'] = $this->config->get('futuracalcularst_senha');
		}

		if (isset($this->request->post['futuracalcularst_ip'])) {
			$this->data['futuracalcularst_ip'] = $this->request->post['futuracalcularst_ip'];
		} else {
			$this->data['futuracalcularst_ip'] = $this->config->get('futuracalcularst_ip');
		}

		if (isset($this->request->post['futuracalcularst_porta'])) {
			$this->data['futuracalcularst_porta'] = $this->request->post['futuracalcularst_porta'];
		} else {
			$this->data['futuracalcularst_porta'] = $this->config->get('futuracalcularst_porta');
		}

		if (isset($this->request->post['futuracalcularst_usuario'])) {
			$this->data['futuracalcularst_usuario'] = $this->request->post['futuracalcularst_usuario'];
		} else {
			$this->data['futuracalcularst_usuario'] = $this->config->get('futuracalcularst_usuario');
		}		
		
   		$this->data['breadcrumbs'] = array();

   		$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('text_home'),
			'href'      => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),
      		'separator' => false
   		);

   		$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('text_total'),
			'href'      => $this->url->link('extension/total', 'token=' . $this->session->data['token'], 'SSL'),
      		'separator' => ' :: '
   		);
		
   		$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('heading_title'),
			'href'      => $this->url->link('total/futuracalcularst', 'token=' . $this->session->data['token'], 'SSL'),
      		'separator' => ' :: '
   		);
		
		$this->data['action'] = $this->url->link('total/futuracalcularst', 'token=' . $this->session->data['token'], 'SSL');
		
		$this->data['cancel'] = $this->url->link('extension/total', 'token=' . $this->session->data['token'], 'SSL');

		$this->template = 'total/futuracalcularst.tpl';
		$this->children = array(
			'common/header',
			'common/footer'
		);
				
		$this->response->setOutput($this->render());
	}

	protected function validate() {
		if (!$this->user->hasPermission('modify', 'total/futuracalcularst')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}
		
		if (!$this->error) {
			return true;
		} else {
			return false;
		}	
	}
	
	public function install() {
	  $query = $this->db->query("ALTER TABLE `" . DB_PREFIX . "order_product` add st_valor decimal(15,2), add ipi_valor decimal(15,2);"); 	
	}
	
	
	public function uninstall() {
	  //na hora de desinstalar nao é recomendavel que remova os campos, vai perder os valores dos pedidos anteriores.... matheus
	  //$query = $this->db->query("ALTER TABLE `" . DB_PREFIX . "order_product` drop st_valor decimal(18,4), drop ipi_valor decimal(18,4);"); 	
	}
	
	
	
	
	
	
}
?>